%define pkg xterm-color

Name: emacs-%{pkg}
%define snapshot_date	20230320
%define snapshot_hash	2ad407c
Version: 2.0^%{snapshot_date}git%{snapshot_hash}
Release: 1%{?dist}
Summary: An ANSI control sequence to text-property translator for emacs
License: BSD
URL: https://github.com/atomontage/%{pkg}
Source:	%{url}/archive/%{snapshot_hash}.tar.gz?downloadas=/%{pkg}-%{snapshot_hash}.tar.gz

BuildArch:      noarch
BuildRequires:  emacs
%{?_emacs_version:
Requires:       emacs(bin) >= %{_emacs_version}
}


%description
%{pkg} is an ANSI control sequence to text-property translator.

Translation takes place through state machine emulation which provides a far more accurate, comprehensive result than ansi-color.el that is built-into Emacs, without compromising on performance.

FEATURES

    - Regular ANSI color support
    - XTERM 256 color support
    - Truecolor (24-bit) support
    - AIXTERM bright foreground color
    - AIXTERM bright background color (since 1.8)
    - Use bold instead of bright (since 1.8)
    - When colorizing entire buffers, optional overlay support (since 2.0)
    - Optionally, filter out ANSI control sequences (since 2.0)
    - Works with compilation-mode
    - Works with eshell


%prep
%define source_dir %{name}-%{snapshot_hash}
[ -d %{source_dir} ] && rm -rf %{source_dir}
mkdir -p %{source_dir} && \
tar -C %{source_dir} -xvf %{SOURCE0} --strip-components 1
# echo +++ Check check
# %autosetup -T -D -n %{name}-%{snapshot_hash}

%build
%{_emacs_bytecompile} %{pkg}.el

%install
install -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}
install -m 0644 *.el* %{buildroot}%{_emacs_sitelispdir}/%{pkg}

%files
%defattr(-,root,root,-)
%license LICENSE
%doc NEWS.org README.org
%{_emacs_sitelispdir}/%{pkg}

%changelog
* Wed Jun 28 2023 Honore Doktorr <hdfssk@gmail.com> - 2.0^20230320git2ad407c-1
- Initial packaging
